---
title: "Activate Status Page Domain"
description: "Activates a verified custom domain for a status page. Admin-only."
---

`POST /api/status-pages/domains/activate`

## Request Body

| Field | Type | Required | Default | Description |
|-------|------|----------|---------|-------------|
| `domainId` | number | Yes | - | The verified domain ID to activate |

## Example (cURL)

```bash
curl -X POST "$BASE_URL/api/status-pages/domains/activate" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "domainId": 42 }'
```

## Response

```json
{
  "activated": true,
  "domain": {
    "id": 42,
    "hostname": "status.deinkunde.com",
    "status": "active",
    "role": "status_page",
    "isPrimary": false,
    "verificationToken": "abc123-def456-ghi789",
    "verifiedAt": "2026-05-01T12:00:00.000Z",
    "createdAt": "2026-05-01T11:00:00.000Z",
    "updatedAt": "2026-05-01T12:30:00.000Z"
  }
}
```

## Common errors

- `401 Unauthorized` when not authenticated
- `403 Forbidden` when not an admin
- `400 Bad Request` when the domain is not yet verified

